
/*
 * $Id: StatsSampleCfg.h,v 1.1.2.1 1999/10/22 23:30:09 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PGL_STATS_SAMPLE_CONFIGURATION_H
#define PGL_STATS_SAMPLE_CONFIGURATION_H

#include "String.h"

// a record describing a single stats sample

struct StatsSampleCfg {
	String name;  // sample name
	Time start;   // when to start sampling (relative to run start)
	int capacity; // entries in this sample

	StatsSampleCfg(): capacity(0) {}
};

#endif
